<?xml version="1.0"?>
<!--
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */
-->

<include xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Config:etc/system_include.xsd">
    <group id="autotransfer" translate="label comment" sortOrder="95" showInDefault="1" showInWebsite="0" showInStore="0">
        <label>Set cron time for daily new product detection</label>
        <frontend_model>WriteTextAI\WriteTextAI\Block\Adminhtml\System\Config\Form\AutoTransfer</frontend_model>
        <comment><![CDATA[<p>At the selected time, WriteText.ai will check your connected webshop(s) for newly added products and send you an email notification if any are found. This lets you decide whether to generate content for these products — individually, in bulk, or through a Full Automation run.</p>Detection is scheduled once per day to balance performance and reliability, preventing unnecessary load on your webshop while ensuring you stay updated on new product additions.<p></p><p>Make sure your server can handle scheduled tasks efficiently. We recommend verifying the following minimum PHP settings with your hosting provider:</p><ul style="padding-left: 40px;"><li>PHP max_execution_time: 3600 seconds</li><li>PHP memory_limit: 524M</li></ul></p>]]></comment>
        <field id="cron_schedule" translate="label comment" sortOrder="20" type="select" showInDefault="1" showInWebsite="0" showInStore="0">
            <label>Set daily automation time</label>
            <source_model>WriteTextAI\WriteTextAI\Model\Config\Source\AutoTransferSchedule</source_model>
            <frontend_model>WriteTextAI\WriteTextAI\Block\Adminhtml\System\Config\Field\AutoTransfer</frontend_model>
            <comment>This depends on the time zone configured on your server.</comment>
        </field>
    </group>
</include>
    